# org.springframework.messaging.converter

## Interfaces

- ContentTypeResolver
- MessageConverter
- SmartMessageConverter

## Classes

- AbstractMessageConverter
- ByteArrayMessageConverter
- CompositeMessageConverter
- DefaultContentTypeResolver
- GenericMessageConverter
- MappingJackson2MessageConverter
- MarshallingMessageConverter
- ProtobufJsonFormatMessageConverter
- ProtobufMessageConverter
- SimpleMessageConverter
- StringMessageConverter

## Exceptions

- MessageConversionException